import { DomainEventMessage } from 'cm-schema-event';
import { DomainEventCipher } from './domain-event-cipher';
import { Registry } from './domain-schema';
export declare class DomainEventCodec<T, M> {
    private schemaMessage;
    private cipher;
    constructor(cipher?: DomainEventCipher, disableSchemaRegistry?: Registry | boolean | null);
    encode(message: DomainEventMessage<T, M>): Promise<Buffer<ArrayBufferLike>>;
    decode(encodedBuffer: Buffer): Promise<DomainEventMessage<T, M>>;
}
